#include "deftype.h"

int month_end(int year,int month)
/* その月の終わりの日を得る */
{
unint de;
	if (month<1||month>12) return(-1);
	de=31;
	switch (month) {
		case 2:
			de=28;
			/* 閏年判定 */
			if (((year%4)==0 && (year%100)!=0) || (year%400)==0) {
				/* 4で割り切れて100で割り切れない */
				/* または400で割り切れる(400は4で割り切れる) */
				de++; /* 29日 */
			}
			break;
		case 4:
		case 6:
		case 9:
		case 11:
			de=30;
	}
	return(de);
}
